Summary: A widely used IRC (Internet Relay Chat) client.
Name: BitchX
Version: 1.0c17
Release: 6
Serial: 1
Group: Applications/Communications
Copyright: distributable, see license
URL: http://www.bitchx.com
Source: ftp://ftp.bitchx.com/pub/BitchX/source/BitchX-%{version}.tar.gz
Source1: bitchx.desktop
Patch0: BitchX-Invite.patch
Patch1: BitchX-DNS.patch
Patch2: no-bold-colon-or-away-msg.patch
BuildRequires: gtk+ >= 1.2.8
Buildroot: %{_tmppath}/%{name}-root
ExcludeArch: ia64

%description
BitchX is a text mode ircII client.  BitchX features include ANSI
color, easy to use shortcut commands, notify/protection/bot lists, 
mass commands and tools, an extended set of DCC commands and built-in 
CDCC, a link looker, extended scripting functionality, a screen client
which allows you to detach and reattach to an IRC session, and lots of 
help available online (many users, many available scripts and a
dedicated help channel--#BitchX on EFNET).

%package -n gtkBitchX
Summary: GTK+ version of BitchX
Group: Applications/Communications
Requires: %{name} = %{version}-%{release}, gtk+ >= 1.2.8

%description -n gtkBitchX
This version of BitchX contains GTK+ support.

%prep
%setup -q -n BitchX 
%patch1 -p1
%patch2 -p1

%build
mkdir -p  GTKBITCHX
mkdir -p  BITCHXREGULAR

pushd GTKBITCHX
ln -sf ../configure configure
%configure --prefix=%{_prefix} \
	--with-gtk \
	--enable-sound \
	--srcdir=..
make 
popd

pushd BITCHXREGULAR
ln -sf ../configure configure
%configure --srcdir=..
make
popd

%install
rm -rf $RPM_BUILD_ROOT

#let's remove all this CVS stuff from getting installed
rm -rf `find . -name  CVS -type d`

mkdir -p extra
mv doc/*.{desktop,png,xpm} extra || :
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 extra/BitchX.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet
install -m0644 extra/gtkBitchX.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet
install -m0644 extra/BitchX.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 extra/bitchx.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 extra/bitch52.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m0644 doc/BitchX.1 $RPM_BUILD_ROOT%{_mandir}/man1

# install regular BitchX
pushd BITCHXREGULAR
%makeinstall
popd

# install gtkBitchX
pushd GTKBITCHX
%makeinstall
popd

#remove the Makefile from the doc dir so that we don't have to list
#each file individually in the file list as well as some other stuff

pushd $RPM_BUILD_ROOT
rm -f `find . -name findcomm`
popd

rm -f doc/Makefile || :
rm -rf `find . -name "*.in" -type f`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README bugs BitchX.* doc/*
%{_bindir}/BitchX-%{version}
%{_bindir}/BitchX
%{_bindir}/scr-bx
%{_libdir}/bx
%{_mandir}/*/*
%{_datadir}/pixmaps/*
%config %{_sysconfdir}/X11/applnk/Internet/BitchX.desktop

%files -n gtkBitchX
%defattr(-,root,root)
%doc README bugs BitchX.* doc/*
%{_bindir}/gtkBitchX-%{version}
%{_bindir}/gtkBitchX
%{_datadir}/gnome/apps/Internet/gtkBitchX.desktop

%changelog
* Thu Feb 15 2001 Tim Powers <timp@redhat.com>
- no longer obsoletes ircii

* Mon Feb  5 2001 Tim Powers <timp@redhat.com>
- include gtkBitchX for 7.x releases
- remove unneeded obsoletes

* Mon Jan 15 2001 Tim Powers <timp@redhat.com>
- excludearrch ia64

* Wed Dec 13 2000 Tim Powers <timp@redhat.com>
- patched with patch created by nimrood <nimrood@ONEBOX.COM> to fix
  the problem with malformed DNS answers
- patched so that the two things most people complain about are turned
  off by default, bold colons and the auto away message
- built for 6.x

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov  1 2000 Tim Powers <timp@redhat.com>
- update to 1.0c17
- Invite patch no longer needed since it's fixed in the new
  sources, kept for reference

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jul 05 2000 Tim Powers <timp@redhat.com>
- created new package, gtkBitchX for the gtk+ version
- built for 7.0

* Wed Jul 05 2000 Tim Powers <timp@redhat.com>
- updated to patch a problem where users were killing BitchX with invite
  commands
- built for 6.x

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Jul 27 1999 Tim Powers <timp@redhat.com>
- updated to 75p3
- install manpage
- cleaned up spec file
- new patch for Makefile
- built for 6.1

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package
- changed spec file

* Fri May 15 1998 Michael Maher <mike@redhat.com>
- Built package
